Panda3D

- Main Page
- Packages
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions

# BoundingBox Class Reference

An axis-aligned bounding box; that is, a minimum and maximum coordinate triple. More...

Inheritance diagram for BoundingBox:

List of all members.

## Public Member Functions
| BoundingBox ()
| Constructs an empty box object.
| BoundingBox (Point3 const min, Point3 const max)
| Constructs a specific box object.
int | getNumPlanes ()
| Returns 6: the number of faces of a rectangular solid.
int | getNumPoints ()
| Returns 8: the number of vertices of a rectangular solid.
LPlanef | getPlane (int n)
| Returns the nth face of the rectangular solid.
list | getPlanes ()
Point3 | getPoint (int n)
| Returns the nth vertex of the rectangular solid.
list | getPoints ()
| operator new (unsigned int size)
## Static Public Member Functions
static TypeHandle | getClassType ()

## Detailed Description

An axis-aligned bounding box; that is, a minimum and maximum coordinate triple.

This box is always axis-aligned. If you need a more general bounding box, try BoundingHexahedron.

## Constructor & Destructor Documentation

BoundingBox | ( |  | ) |

Constructs an empty box object.

BoundingBox | ( | Point3 const | min,
|  | Point3 const | max
| ) |  |

Constructs a specific box object.

## Member Function Documentation

static TypeHandle getClassType | ( |  | ) | `[static]`

Reimplemented from FiniteBoundingVolume.

int getNumPlanes | ( |  | ) |

Returns 6: the number of faces of a rectangular solid.

int getNumPoints | ( |  | ) |

Returns 8: the number of vertices of a rectangular solid.

LPlanef getPlane | ( | int | n | ) |

Returns the nth face of the rectangular solid.

list getPlanes | ( |  | ) |

Point3 getPoint | ( | int | n | ) |

Returns the nth vertex of the rectangular solid.

list getPoints | ( |  | ) |

operator new | ( | unsigned int | size | ) |

All Classes Namespaces Functions Variables Enumerations Enumerator Properties